@charset "UTF-8";

#body {
	background: black;
	height: 100vh;
	min-width: 1500px;
	font-family: 'morris-roman' sans-serif;
}

#main-div {
	background: url(../images/main-background3.jpg) left top;
	background-repeat: no-repeat !important;
  	background-size: cover !important;
  	min-height: 100vh;
  	background-attachment: fixed !important;
  	background-position: center center !important;
}

#main-navbar {
	/*background-color: #1c1c1c !important;*/	
	/*height: 80px;	*/
	background-color: rgba(0,0,0,0.5) !important;
	box-shadow: 1px 1px 10px hsla(0,0%,0%,.7) !important;
	/*backdrop-filter: blur(3px);*/
}

.main-navitem {
	color: white !important;
	font-size: 1.2em !important;
	white-space: nowrap;
}

.main-navitem:hover {
	color: #e3d4a5 !important;
}

.main-navitem-active {
	color: #e3d4a5 !important;
	font-size: 1.2em !important;
}

.main-navitem-active:hover {
	color: #d7a60b !important;
}

.main-new-button {
	width: 10em;
	display: block;	
	color: white;
	text-decoration: none;
	border-radius: 10px;
	border: none;
	background: rgb(90, 90, 90);
	padding: 13px 0px;
	text-align: center;
	transition: .2s ease 0s;
	box-shadow: 0 1px 3px 0 rgba(0,0,0,.7);
	margin: 1em .5em 0em .5em;
	position: relative;
	opacity: 0.8;
}

.main-save-button {
	width: 10em;
	display: block;	
	color: white;
	text-decoration: none;
	border-radius: 10px;
	border: none;
	background: rgb(90, 90, 90);
	padding: 13px 0px;
	text-align: center;
	transition: .2s ease 0s;
	box-shadow: 0 1px 3px 0 rgba(0,0,0,.7);
	margin: 1em .5em 0em .5em;
	position: relative;
	opacity: 0.8;
}

.main-edit-button {
	width: 10em;
	display: block;	
	color: white;
	text-decoration: none;
	border-radius: 10px;
	border: none;
	background: rgb(90, 90, 90);
	padding: 13px 0px;
	text-align: center;
	transition: .2s ease 0s;
	box-shadow: 0 1px 3px 0 rgba(0,0,0,.7);
	margin: 1em .5em 0em .5em;
	position: relative;
	opacity: 0.8;
}

.main-delete-button {
	width: 10em;
	display: block;	
	color: white;
	text-decoration: none;
	border-radius: 10px;
	border: none;
	background: rgb(165, 45, 45);
	padding: 13px 0px;
	text-align: center;
	transition: .2s ease 0s;
	box-shadow: 0 1px 3px 0 rgba(0,0,0,.7);
	margin: 1em .5em 0em .5em;
	position: relative;
	opacity: 0.8;
}

.main-cancel-button {
	width: 10em;
	display: block;	
	color: white;
	text-decoration: none;
	border-radius: 10px;
	border: none;
	background: rgb(165, 45, 45);
	padding: 13px 0px;
	text-align: center;
	transition: .2s ease 0s;
	box-shadow: 0 1px 3px 0 rgba(0,0,0,.7);
	margin: 1em .5em 0em .5em;
	position: relative;
	opacity: 0.8;
}

.main-new-button:disabled {
	pointer-events:none;
	opacity: 0.3;
}

.main-save-button:disabled {
	pointer-events:none;
	opacity: 0.3;
}

.main-edit-button:disabled {
	pointer-events:none;
	opacity: 0.3;
}

.main-delete-button:disabled {
	pointer-events:none;
	opacity: 0.3;
}

.main-cancel-button:disabled {
	pointer-events:none;
	opacity: 0.3;
}

.main-new-button:hover {
	box-shadow: 0 1px 3px 0 rgba(0,0,0,1);
	cursor: pointer;
	opacity: 1;
}

.main-save-button:hover {
	box-shadow: 0 1px 3px 0 rgba(0,0,0,1);
	cursor: pointer;
	opacity: 1;
}

.main-edit-button:hover {
	box-shadow: 0 1px 3px 0 rgba(0,0,0,1);
	cursor: pointer;
	opacity: 1;
}

.main-delete-button:hover {
	box-shadow: 0 1px 3px 0 rgba(0,0,0,1);
	cursor: pointer;
	opacity: 1;
}

.main-cancel-button:hover {
	box-shadow: 0 1px 3px 0 rgba(0,0,0,1);
	cursor: pointer;
	opacity: 1;
}

#dropdown-expense-main-link:hover #nav-menu-despesa-dropdown, #dropdown-register-main-link:hover #nav-menu-register-dropdown{
	display: block;
}

.dropdown-menu {
	/*background: #625f5f !important;*/
	background-color: rgba(255,255,255,0.05) !important;
	box-shadow: 1px 1px 10px hsla(0,0%,0%,.7) !important;
	backdrop-filter: blur(3px);
}

.dropdown-font-color {
	color: white !important;
}

.dropdown-font-color:hover {
	background-color: #828282 !important;
}

.justify-content-between {
	width: 100%;
}

.box {
	position: relative;
 	color: white;
	width: 150px;
	height: 100%;
}
.container {
	width: 320px;
}

.wrapper {
	text-align: center;
}
#time {
	font-size: 22px;
	display: inline-block;
}
#day {
	position: relative;
	font-size: 22px;
	letter-spacing: 2px;
	text-transform: uppercase;
	color: #939393;
	text-align: center;
}
#midday {
	display: inline-block;
	font-size: 22px;
}

.hover-borderline {
	display: inline-block;
	position: relative;
}

.hover-borderline::after,
.hover-borderline::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 2px;
  background: linear-gradient(to right, #fff, #d7a60b);
  bottom: 0px;
  left: 0;
  transform: scaleX(0);
  transform-origin: right;
  transition: transform 0.2s ease-out;
}

.hover-borderline::before {
  top: 5px;
  transform-origin: left;
}

/*.hover-borderline:hover::after,*/
.hover-borderline:hover::before {
  transform: scaleX(1);
}